> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/product-model-setup/attributes/attribute-details.md).

# Attribute details

Details that defines and decribe the attribute

You can add or update attributes through [Product model setup](/pim3/reference/product-model-setup.md) > [Attributes](/pim3/reference/product-model-setup/attributes.md).

## Attribute settings

### Alias

A unique alias to the attribute which can be used to reference the attribute elsewhere in the system.

### Scopes

An attribute scope for the attribute.

### Backoffice name

The name this attribute will be displayed by within the backoffice.

### Backoffice description

Description to display along with the attribute when shown in the backoffice.

### Display name

A display name to use when this attribute is displayed in any channel outside of the PIM.

### Attribute group

Choose if the attribute should be connected to an attribute group.

### Disable revision logging

Determines whether revision logging should be enabled or disabled. Revision logging takes some time each time an item is saved. If revisions are not used at all, disable revision logging for improved performance.

### AI Metadata

Provide additional context to help AI understand this attribute during data extraction and enrichment processes.

## Attribute configuration

### Data type

The data type for the attribute. The chosen datatype will reveal additional [details](/pim3/reference/product-model-setup/attributes/attribute-details/data-type-details.md).

## Segmentation

### Localize data

Determines whether data for this attribute is localized.

### Segment data

Determines whether data for this attribute is segmented based on a dimension.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/pim3/reference/product-model-setup/attributes/attribute-details.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
